%octave
xf = [1:0.05:12];
xp = [1,3,5,7,8,10,11,12];
yp = [1,2.5,1,0,-1,0,1,3];
pp = interp1 (xp, yp, "cubic",'pp');
cub=ppval(pp,xf);
%graphics_toolkit ("fltk")
graphics_toolkit ("gnuplot")
plot (xf, cub,"k", xp, yp, "kx");
%legend ("courbe","points");
axis([-1, 13, -1.5, 3.5])
grid('on');
box('off');
set (gca, "xaxislocation", "zero","yaxislocation", "zero")
set(gca,'XTick',[1:12],'YTick',[-1:0.5:3.5],'FontSize',20)
%print -dpdflatex courbe % Seulement avec fltk
print -dpdf 2012_2_DS05_fig2
%saveas(1,"courbe.pdf")

%print -deps courbe
%print -depslatex 2012_2_DS05_fig2
close